<?php

namespace App\Modules\BookingAdditional\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListBookingAdditionalQuery implements Query
{
    public function __construct(
        private int $idBookingTourPassenger,
        private string $action
    ) {
    }

    public function getIdBookingTourPassenger(): int
    {
        return $this->idBookingTourPassenger;
    }

    public function getAction(): string
    {
        return $this->action;
    }
}
